summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2007-11-03 21:13:45 +0000
committerMike Frysinger <vapier@gentoo.org>2007-11-03 21:13:45 +0000
commita47bd144a31dc24fcc7810880edfb4e73782d92e (patch)
tree1bbed8fd132bbfc1bb07f6b781b91eb7c504c808 /bin/etc-update
parentBug #197965 - When fetch() encounters a checksum failure, (diff)
downloadportage-multirepo-a47bd144a31dc24fcc7810880edfb4e73782d92e.tar.gz
portage-multirepo-a47bd144a31dc24fcc7810880edfb4e73782d92e.tar.bz2
portage-multirepo-a47bd144a31dc24fcc7810880edfb4e73782d92e.zip
if mode=1 and `dialog` is not usable, abort #197990 by DominikBuerkle
svn path=/main/trunk/; revision=8402
Diffstat (limited to 'bin/etc-update')
-rwxr-xr-xbin/etc-update7
1 files changed, 7 insertions, 0 deletions
diff --git a/bin/etc-update b/bin/etc-update
index 7239ed07..bb1160a3 100755
--- a/bin/etc-update
+++ b/bin/etc-update
@@ -541,6 +541,13 @@ else
fi
fi
+if [[ ${mode} == "1" ]] ; then
+ if ! type dialog >/dev/null || ! dialog --help >/dev/null ; then
+ echo "ERROR: mode=1 and 'dialog' not found or not executable, aborting"
+ exit 1
+ fi
+fi
+
#echo "rm_opts: $rm_opts, mv_opts: $mv_opts, cp_opts: $cp_opts"
#echo "pager: $pager, diff_command: $diff_command, merge_command: $merge_command"